"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.CommonUI = void 0;
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _lowcodeEditorCore = require("@alilc/lowcode-editor-core");
var _next = require("@alifd/next");
var _contextMenu = require("../components/context-menu");
var CommonUI = exports.CommonUI = /*#__PURE__*/function () {
  function CommonUI() {
    this.Balloon = _next.Balloon;
    this.Breadcrumb = _next.Breadcrumb;
    this.Button = _next.Button;
    this.Card = _next.Card;
    this.Checkbox = _next.Checkbox;
    this.DatePicker = _next.DatePicker;
    this.Dialog = _next.Dialog;
    this.Dropdown = _next.Dropdown;
    this.Form = _next.Form;
    this.Icon = _next.Icon;
    this.Input = _next.Input;
    this.Loading = _next.Loading;
    this.Message = _next.Message;
    this.Overlay = _next.Overlay;
    this.Pagination = _next.Pagination;
    this.Radio = _next.Radio;
    this.Search = _next.Search;
    this.Select = _next.Select;
    this.SplitButton = _next.SplitButton;
    this.Step = _next.Step;
    this.Switch = _next.Switch;
    this.Tab = _next.Tab;
    this.Table = _next.Table;
    this.Tree = _next.Tree;
    this.TreeSelect = _next.TreeSelect;
    this.Upload = _next.Upload;
    this.Divider = _next.Divider;
  }
  (0, _createClass2["default"])(CommonUI, [{
    key: "Tip",
    get: function get() {
      return _lowcodeEditorCore.Tip;
    }
  }, {
    key: "Title",
    get: function get() {
      return _lowcodeEditorCore.Title;
    }
  }, {
    key: "ContextMenu",
    get: function get() {
      return _contextMenu.ContextMenu;
    }
  }]);
  return CommonUI;
}();